Debian Bug report logs - #403649
Clarify Depends reliability during postrm remove

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Frank Küster <frank@debian.org>

Date: Mon, 18 Dec 2006 17:48:07 UTC

Owned by: Russ Allbery <rra@debian.org>

Severity: minor

Merged with 504880

Found in versions debian-policy/3.7.2.1, debian-policy/3.8.0.1

Fixed in version debian-policy/3.9.2.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, Debian Policy List <debian-policy@lists.debian.org>:
Bug#403649; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Should clarify package availability in "postrm remove"
Date: Mon, 18 Dec 2006 18:41:41 +0100
Package: debian-policy
Version: 3.7.2.1
Severity: normal
Tags: patch

Current Policy says:

,---- 7.2 Binary Dependencies
| The Depends field should also be used if the postinst, prerm or
| postrm scripts require the package to be present in order to
| run. Note, however, that the postrm cannot rely on any
| non-essential packages to be present during the purge phase.
`----

I suggest to add to the second sentence: ", and that only the postinst 
script can rely on the package to be configured."

I'm not even sure whether the postinst can rely on "configuredness" for
all types of incovation, or only for "configure"/"reconfigure".

For an example why this difference is important, see #403641

Regards, Frank

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.17-2-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- no debconf information

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Severity set to `wishlist' from `normal' Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#403649; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 403649@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frank Küster <frank@debian.org>, 403649@bugs.debian.org
Subject: Re: Bug#403649: debian-policy: Should clarify package availability in "postrm remove"
Date: Tue, 19 Dec 2006 21:31:56 -0800
On Mon, Dec 18, 2006 at 06:41:41PM +0100, Frank Küster wrote:
> Package: debian-policy
> Version: 3.7.2.1
> Severity: normal
> Tags: patch

> Current Policy says:

> ,---- 7.2 Binary Dependencies
> | The Depends field should also be used if the postinst, prerm or
> | postrm scripts require the package to be present in order to
> | run. Note, however, that the postrm cannot rely on any
> | non-essential packages to be present during the purge phase.
> `----

> I suggest to add to the second sentence: ", and that only the postinst 
> script can rely on the package to be configured."

> I'm not even sure whether the postinst can rely on "configuredness" for
> all types of incovation, or only for "configure"/"reconfigure".

> For an example why this difference is important, see #403641

I don't think this is the right solution.  Putting the burden on package
prerms to deal with brokenness in their dependencies' postinsts is rather
onerous; I think we need to acknowledge here that it's possible for packages
to end up in a state that can't be resolved automatically, but only as a
consequence of bugs/failures in their dependencies.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Changed Bug title to `Clarify Depends reliability during postrm remove' from `debian-policy: Should clarify package availability in "postrm remove"'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:26 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 18 Aug 2010 22:45:03 GMT) Full text and rfc822 format available.

Owner recorded as Russ Allbery <rra@debian.org>. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 21 Aug 2010 00:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Russ Allbery <rra@debian.org>:
Bug#403649; Package debian-policy. (Sat, 05 Mar 2011 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Russ Allbery <rra@debian.org>. (Sat, 05 Mar 2011 03:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 403649@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Frank Küster <frank@debian.org>
Cc: 403649@bugs.debian.org
Subject: Re: debian-policy: Should clarify package availability in "postrm remove"
Date: Fri, 4 Mar 2011 21:32:12 -0600
forcemerge 504880 403649
quit

Hi Frank,

Frank Küster wrote:

> Current Policy says:
>
> ,---- 7.2 Binary Dependencies
> | The Depends field should also be used if the postinst, prerm or
> | postrm scripts require the package to be present in order to
> | run. Note, however, that the postrm cannot rely on any
> | non-essential packages to be present during the purge phase.
> `----
>
> I suggest to add to the second sentence: ", and that only the postinst 
> script can rely on the package to be configured."

Does the patch in [1] look reasonable?

Thanks,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=351;bug=504880




Forcibly Merged 403649 504880. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 05 Mar 2011 03:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Russ Allbery <rra@debian.org>:
Bug#403649; Package debian-policy. (Sun, 06 Mar 2011 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Russ Allbery <rra@debian.org>. (Sun, 06 Mar 2011 20:57:02 GMT) Full text and rfc822 format available.

Message #32 received at 403649@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 403649@bugs.debian.org
Subject: Re: debian-policy: Should clarify package availability in "postrm remove"
Date: Sun, 06 Mar 2011 21:57:08 +0100
Jonathan Nieder <jrnieder@gmail.com> wrote:

>> I suggest to add to the second sentence: ", and that only the postinst 
>> script can rely on the package to be configured."
>
> Does the patch in [1] look reasonable?
[...]
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=351;bug=504880

Yes, fine.

Regards, Frank

-- 
Dr. Frank Küster
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
B90/Grüne KV Miltenberg
Debian Developer (TeXLive)




Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 04:12:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:35:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:07:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.